#ifndef FRUSTUM_H
#define FRUSTUM_H

#include "client/math/Matrix.h"

class Frustum final {
public:
    Frustum(float fovY, float nearClip, float farClip);
    void setProjection(Matrix& m, int width, int height);

private:
    float fovY;
    float nearClip;
    float farClip;
};

#endif