#ifndef PLANE3D_H
#define PLANE3D_H

#include "client/math/Vector.h"

class Plane final {
public:
    Plane();

    void set(const Vector& va, const Vector& vb, const Vector& vc);
    float getSignedDistance(float x, float y, float z) const;
    float getSignedDistance(const Vector& v) const;

private:
    float a;
    float b;
    float c;
    float d;
};

#endif