#ifndef RAY_H
#define RAY_H

#include "client/math/Vector.h"

class Ray final {
public:
    Ray();
    
    void store();
    void set(const Vector& position, float lengthAngle, float widthAngle);

    Vector getPosition(float lag) const;
    Vector getDirection(float lag) const;

private:
    Vector lastPosition;
    Vector position;

    float lastLengthAngle;
    float lengthAngle;

    float lastWidthAngle;
    float widthAngle;
};

#endif