#ifndef ICLIENTLISTENER_H
#define ICLIENTLISTENER_H

#include "common/stream/Stream.h"

class IClientListener {
public:
    virtual ~IClientListener() = default;
    virtual void onServerJoin(int serverSocket) = 0;
    virtual void onServerPackage(int serverSocket, Stream& in) = 0;
    virtual void onServerClose(int socket) = 0;
};

#endif