#ifndef FONTRENDERER_H
#define FONTRENDERER_H

#include "client/rendering/wrapper/VertexBuffer.h"
#include "client/rendering/wrapper/StreamBuffer.h"
#include "client/rendering/FileTexture.h"

class FontRenderer final {
public:
    FontRenderer();

    void drawString(float x, float y, const char* text);

private:
    VertexBuffer vertexBuffer;
    StreamBuffer buffer;
    FileTexture tex;
};

#endif