#include "common/block/Block.h"

Block::Block(u16 id, const HashedString& registry, const BlockBuilder& builder) : id(id), registry(registry) {
    (void) builder;
}

u16 Block::getId() const {
    return id;
}

const HashedString& Block::getRegistry() const {
    return registry;
}