#ifndef WORLD_H
#define WORLD_H

#include "common/world/Chunk.h"

class World final
{
public:
    void setBlock(u32 x, u32 y, u32 z, const Block& block);
    const Block& getBlock(u32 x, u32 y, u32 z) const;
    
    static const u32 WORLD_SIZE = 256;
    
private:
    static const u32 BITMASK = WORLD_SIZE - 1;
    
    Chunk chunks[WORLD_SIZE >> Chunk::CHUNK_BIT_SIZE][WORLD_SIZE >> Chunk::CHUNK_BIT_SIZE];
    
};

#endif

