#version 430

layout (location = 0) in vec3 position;
layout (location = 1) in vec4 color;
layout (location = 2) in vec2 textureCoord;
layout (location = 3) in vec3 normal;

uniform mat4 viewMatrix;
uniform mat4 modelMatrix;

out vec2 varTextureCoord;
out vec4 varColor;

void main(void) { 
    varTextureCoord = textureCoord;
    varColor = color;
    gl_Position = viewMatrix * modelMatrix * vec4(position, 1.0);
}