#version 430

layout (location = 0) in vec2 position;
layout (location = 1) in vec2 tex;
layout (location = 2) in vec3 color;

uniform mat4 proj;
uniform mat4 view;
uniform mat4 model;

out vec2 varTex;
out vec3 varColor;

void main(void) { 
    varTex = tex;
    varColor = color;
    gl_Position = proj * view * model * vec4(position, 0.0, 1.0);
}