#ifndef MATRIXSTACK_H
#define MATRIXSTACK_H

#include <array>

#include "client/math/Matrix.h"

class MatrixStack final {
public:
    void pop();
    void push();
    Matrix& get();
    void clear();

private:
    std::array<Matrix, 10> stack;
    size_t index = 0;
};

#endif