#ifndef FRAMEBUFFERS_H
#define FRAMEBUFFERS_H

#include "client/rendering/WindowSize.h"
#include "client/rendering/wrapper/Framebuffer.h"

struct Framebuffers final {
    Framebuffers(const WindowSize& size);
    void resize(uint width, uint height);
    bool hasError() const;

    Framebuffer world;
    Framebuffer ssao;
    Framebuffer ssaoBlur;
    Framebuffer shadow;
};

#endif