#include "Shaders.h"

Shaders::Shaders() :
world("resources/shader/worldVertex.vs", "resources/shader/worldFragment.fs"),
ssao("resources/shader/ssaoVertex.vs", "resources/shader/ssaoFragment.fs"),
ssaoBlur("resources/shader/ssaoBlurVertex.vs", "resources/shader/ssaoBlurFragment.fs"),
shadow("resources/shader/worldShadowVertex.vs", "resources/shader/worldShadowFragment.fs"),
postWorld("resources/shader/worldPostVertex.vs", "resources/shader/worldPostFragment.fs"),
text("resources/shader/textVertex.vs", "resources/shader/textFragment.fs") {
}

bool Shaders::hasError() const {
    return world.hasError() || ssao.hasError() || ssaoBlur.hasError() || shadow.hasError() || postWorld.hasError() ||
            text.hasError();
}