#ifndef BLOCK_H
#define BLOCK_H

#include "common/utils/HashedString.h"
#include "common/block/BlockBuilder.h"

class Block {
public:
    Block(u16 id, const HashedString& registry, const BlockBuilder& builder);
    u16 getId() const;
    const HashedString& getRegistry() const;

private:
    const u16 id;
    const HashedString registry;
};

#endif