#ifndef STRING_H
#define STRING_H

#include "common/utils/Types.h"

class String {
public:
    String();
    String(const char* str);
    
    bool operator==(const String& other) const;
    bool operator!=(const String& other) const;
    operator const char*() const;
    String& operator+=(char c);
    char operator[](uint index) const;
    
    uint getLength() const;

    static constexpr uint MAX_LENGTH = 255;
private:
    char data[MAX_LENGTH];
    u8 length;
};

#endif